@import "../../vendors/fonts/css/style.css";
@import "colors.css";

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Montserrat", sans-serif;
  color: var(--primary-dark);
  line-height: 1.26;
}

.about-section {
  position: relative;
  margin: 80px;
  padding: 80px 100px;
  text-align: center;
  border-radius: 16px;
  background-color: var(--primary-white);
}

.about-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.about-text {
  margin-top: 20px;
  max-width: 820px;
  font-size: 18px;
  font-weight: 400;
  line-height: 1.8;
  color: var(--secondary-dark);
}

.about-image {
  position: absolute;
  bottom: -51px;
  right: 0;
}

.circle {
  position: absolute;
  bottom: 0;
  left: calc(50% - 13px);
  width: 26px;
  height: 26px;
  background-color: var(--accent-blue);
  border-radius: 50%;
  transform: translate(0, 40%) scale(0);
  transition: transform 3s ease;
  pointer-events: none;
}

.container-scroller {
  position: relative;
  padding-top: 20px;
  overflow: hidden;
  background-color: var(--background);
}

.contact-section {
  padding: 80px;
}

.contact-section img {
  position: absolute;
}

.contact-data {
  position: relative;
  overflow: hidden;
  min-width: 620px;
  height: 793px;
  padding: 80px;
  border-radius: 16px;
  background: linear-gradient(
    115deg,
    var(--secondary-green) -30%,
    var(--secondary-medium) 50%
  );
}

.contact-content {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: relative;
  height: 100%;
  z-index: 2;
}

.contact-heading {
  margin-bottom: 20px;
  font-size: 32px;
  font-weight: 600;
  text-align: center;
  color: var(--primary-dark);
}

.contact-greeting,
.contact-message {
  margin-bottom: 30px;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.7;
  text-align: center;
  color: var(--primary-dark);
}

.contact-message {
  max-width: 340px;
  align-self: center;
  text-align: center;
}

.contact-bg-1 {
  position: absolute;
  left: 7.5%;
  bottom: -20px;
  width: 500px;
  height: 500px;
  border: 1px solid var(--secondary-medium);
  border-radius: 50%;
  opacity: 0.6;
}

.contact-bg-2 {
  position: absolute;
  right: -5%;
  bottom: -155px;
  width: 800px;
  height: 800px;
  border: 1px solid var(--secondary-green);
  border-radius: 50%;
}

.contact-bg-3 {
  position: absolute;
  right: -180px;
  top: -20px;
  width: 530px;
  height: 530px;
  border: 1px solid var(--secondary-yelow);
  border-radius: 50%;
}

.contact-bg-4 {
  position: absolute;
  left: -5%;
  top: -50px;
  width: 350px;
  height: 350px;
  border: 1px solid var(--secondary-blue);
  border-radius: 50%;
}

.contact-bg-5 {
  position: absolute;
  left: 110px;
  bottom: -340px;
  width: 620px;
  height: 620px;
  border: 1px solid var(--secondary-red-dark);
  border-radius: 50%;
}

.contact-bg-6 {
  position: absolute;
  right: -110px;
  bottom: -180px;
  width: 380px;
  height: 380px;
  border: 1px solid var(--secondary-dark-lighter);
  border-radius: 50%;
  opacity: 0.8;
}

.contact-bg-7 {
  position: absolute;
  left: 110px;
  bottom: -340px;
  width: 620px;
  height: 620px;
  border: 1px solid var(--secondary-red-dark);
  border-radius: 50%;
}

.dashed-arrow {
  position: absolute;
  top: -102px;
  left: 0;
  pointer-events: none;
}

.d-none {
  display: none !important;
}

.d-block {
  display: block !important;
}

.form {
  position: relative;
  width: 372px;
}

.form label {
  display: block;
  width: 100%;
  margin-bottom: 5px;
  font-size: 12px;
  font-weight: 400;
  line-height: 1.4;
  color: var(--primary-dark);
}

.form textarea {
  height: 140px;
  resize: none;
}

.form input,
.form textarea {
  width: 100%;
  margin-bottom: 20px;
  padding: 15px;
  border: none;
  border-radius: 8px;
  font-family: "Montserrat", sans-serif;
  font-size: 14px;
  font-weight: 400;
  color: var(--primary-dark);
  line-height: 1.6;
  transition: background-color 0.3s ease;
  background-color: var(--secondary-blue);
}

.form input::placeholder,
.form textarea::placeholder {
  color: var(--secondary-dark-lighter);
}

.form input:focus,
.form textarea:focus {
  outline: none;
  border: none;
  background-color: var(--primary-white);
}

.form button {
  padding: 18px 24px;
  width: 100%;
  cursor: pointer;
  border: none;
  border-radius: 8px;
  font-size: 14px;
  font-weight: 600;
  line-height: 1.26;
  color: var(--primary-white);
  background-color: var(--secondary-dark);
}

.form button:active {
  background-color: var(--primary-link);
}

.form button img {
  margin-left: 8px;
}

.footer {
  position: relative;
  padding: 60px 80px 70px;
  background-color: var(--background);
  font-size: 14px;
  font-weight: 300;
  line-height: 1.3;
  color: var(--primary-dark);
}

.footer::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 1px;
  border-radius: 999px;

  background: linear-gradient(
    90deg,
    transparent 0%,
    var(--primary-red) 5%,
    var(--primary-blue) 50%,
    var(--primary-darkyellow) 75%,
    transparent 100%
  );
}

.footer-address {
  display: flex;
  flex-direction: column;
  gap: 26px;
  width: 315px;
}

.footer-nav-menu {
  min-width: 165px;
}

.footer-address-title {
  margin-bottom: 10px;
  font-weight: 400;
  line-height: 1.3;
  color: var(--primary-dark);
}

.footer-address-value {
  line-height: 1.6;
  font-weight: 400;
  color: var(--secondary-dark);
}

.footer-content {
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
}

.footer-content > div {
  padding: 20px;
}

.footer-general-info {
  width: 350px;
}

.footer img {
  display: block;
}

.footer-side-data {
  display: flex;
  gap: 10px;
  justify-content: center;
}

.footer-group-link {
  font-weight: 400;
  color: var(--primary-blue);
}

.footer-link {
  font-weight: 400;
  color: var(--primary-blue);
}

.footer .footer-mailto {
  margin-bottom: 20px;
  text-decoration: none;
  color: var(--primary-blue);
}

.footer .footer-mailto:hover {
  color: var(--primary-blue);
}

.footer-info {
  margin: 30px 0 10px;
}

.footer-linkedin {
  margin-top: 20px;
}

.footer .nav-list {
  display: flex;
  flex-flow: column wrap;
  gap: 20px 0;
  height: 125px;
  margin-top: -5px;
}

.footer .nav-link {
  margin: 0 10px;
}

.header {
  position: relative;
  padding: 0 80px;
  height: 800px;
}

.header-bg {
  position: absolute;
  top: -20px;
  right: 0;
  z-index: 0;
  height: 690px;
}

.header-image {
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 1 0 50%;
}

.header-content {
  display: flex;
  justify-content: space-between;
  gap: 50px;
  margin-top: 48px;
  margin-bottom: 136px;
}

.header-button {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  padding: 11px 24px;
  width: fit-content;
  cursor: pointer;
  overflow: hidden;
  /* border: none; */
  border-radius: 8px;
  font-size: 14px;
  font-weight: 600;
  text-decoration: none;
  color: var(--primary-white);
  background-color: var(--secondary-dark);
}

.header-button-content {
  position: relative;
  z-index: 1;
}

.header-button:active {
  background-color: var(--primary-blue);
}

.header-button:hover {
  opacity: 0.95;
  color: var(--primary-white);
}

.header-button .arrow-right {
  position: relative;
  z-index: 1;
  top: 2px;
  height: 22px;
  margin-left: 8px;
  transition: margin-left 0.3s ease;
}

.header-image picture {
  z-index: 0;
}

.header-image img {
  width: 100%;
  max-width: 644px;
}

.header-data-block {
  display: flex;
  align-items: center;
  flex: 1 1 545px;
  position: relative;
  z-index: 1;
  padding: 20px;
  background-color: var(--background);
}

.header-data-block h1 {
  margin-bottom: 10px;
  font-size: 56px;
  font-weight: 600;
  color: var(--delft-blue);
}

.header-data {
  display: flex;
  flex-flow: column nowrap;
  position: relative;
}

.header-title {
  display: inline-block;
  color: var(--primary-blue);
  font-size: 56px;
  font-weight: 700;
}

.header-data-text {
  margin-bottom: 20px;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.7;
  text-align: left;
  color: var(--secondary-dark);
}

.header-line {
  position: absolute;
  bottom: 0;
  left: -182px;
  width: calc(100vw + 170px);
  height: 35px;
  overflow: hidden;
}

.header-line-dot {
  display: inline-block;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  min-width: 8px;
  min-height: 8px;
  aspect-ratio: 1 / 1;
  opacity: 0.5;
  background: linear-gradient(135deg, var(--primary-red), var(--primary-blue));
}

.header-line-inner {
  display: flex;
  white-space: nowrap;
  will-change: transform;
}

.header-line-items {
  display: flex;
  align-items: center;
  gap: 40px;
}

.header-line-items :first-child {
  margin-left: 40px;
}

.header-line h3 {
  font-size: 24px;
  font-weight: 500;
  color: var(--secondary-dark-lighter);
}

.links-list {
  display: flex;
  gap: 20px;
}

.logo {
  position: relative;
  top: -12px;
  height: 54px;
}
.logo img {
  max-height: 72px;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
}

.navbar nav {
  display: block;
}

.navbar-box {
  position: relative;
  z-index: 5;
  border-radius: 16px;
  transition: border-radius 0.5s ease;
}

.navbar-box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0.4) 0%,
    rgba(255, 255, 255, 0.2) 100%
  );

  mask-image: linear-gradient(
    to right,
    transparent 0%,
    black 10%,
    black 90%,
    transparent 100%
  );
  -webkit-mask-image: linear-gradient(
    to right,
    transparent 0%,
    black 10%,
    black 90%,
    transparent 100%
  );
  pointer-events: none;
}

/* Bottom border */
.navbar-box::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 5%;
  width: 90%;
  height: 1.5px;
  border-radius: 999px;

  background: linear-gradient(
    90deg,
    transparent 0%,
    var(--primary-red) 25%,
    var(--primary-blue) 50%,
    var(--primary-darkyellow) 75%,
    transparent 100%
  );
}

.nav-list {
  display: flex;
  flex-wrap: nowrap;
  list-style: none;
}

.nav-link {
  display: inline-block;
  padding: 5px;
  margin: 0 15px;
  color: var(--primary-link);
  text-decoration: none;
  font-size: 14px;
  line-height: 1.3;
}

.nav-link:hover {
  color: var(--secondary-dark-lighter);
}

.nav-link:active {
  color: var(--primary-blue);
}

.products-section {
  padding: 80px 100px 100px 100px;
  position: relative;
}

.products-content {
  display: flex;
  justify-content: center;
}

.product-heading {
  display: flex;
  justify-content: center;
  gap: 16px;
  margin-bottom: 10px;
}

.products-items {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 40px;
  gap: 40px;
  max-width: 1240px;
}

.product-item.platform-item {
  position: relative;
}

.product-item {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 15px;
  min-width: 650px;
  padding: 40px;
  border-radius: 16px;
  background-color: var(--primary-white);
  position: relative;
  overflow: hidden;
}

.product-item.aws::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;

  width: 1px;
  height: 100%;

  border-radius: 999px;

  background: linear-gradient(
    180deg,
    transparent 0%,
    var(--primary-red) 50%,
    transparent 100%
  );
}

.product-item.aws::after {
  content: "";
  position: absolute;

  right: -100px;
  top: 0%;
  transform: translateY(-50%);

  width: 200px;
  height: 200px;

  background-color: var(--primary-red);
  opacity: 0.4;
  border-radius: 50%;
}

.product-item.gcp::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;

  width: 1px;
  height: 100%;

  border-radius: 999px;

  background: linear-gradient(
    180deg,
    transparent 0%,
    var(--primary-blue) 50%,
    transparent 100%
  );
}

.product-item.gcp::after {
  content: "";
  position: absolute;

  right: -70px;
  top: 50%;
  transform: translateY(-50%);

  width: 140px;
  height: 140px;

  background-color: var(--primary-blue);
  opacity: 0.4;
  border-radius: 50%;
}

.product-item.azure::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;

  width: 1px;
  height: 100%;

  border-radius: 999px;

  background: linear-gradient(
    180deg,
    transparent 0%,
    var(--primary-darkyellow) 50%,
    transparent 100%
  );
}
.product-item.azure::after {
  content: "";
  position: absolute;

  right: -100px;
  top: 100%;
  transform: translateY(-50%);

  width: 200px;
  height: 200px;

  background-color: var(--primary-darkyellow);
  opacity: 0.5;
  border-radius: 50%;
}

.product-list {
  display: flex;
  flex-direction: column;
  gap: 6px;
  padding-left: 20px;
}

.product-list-item span {
  font-weight: 600;
}

.product-title {
  font-size: 24px;
  font-weight: 600;
  color: var(--primary-blue);
}

.product-text {
  font-size: 20px;
  font-weight: 500;
  color: var(--delft-blue-hover);
}

.products-side-content {
  display: flex;
  gap: 15px;
  position: absolute;
  right: 0;
  bottom: -130px;
  width: 505px;
}

.products-side-content img {
  position: relative;
  top: -50px;
}

.products-side-text {
  width: 400px;
  font-size: 14px;
  font-weight: 300;
  line-height: 1.6;
  color: var(--accent-blue);
}

.section-subtitle {
  margin-bottom: 20px;
  background: linear-gradient(
    180deg,
    var(--primary-blue) 0%,
    var(--primary-blue) 100%
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-transform: uppercase;
  text-align: center;
  font-size: 14px;
  font-weight: 500;
}

.section-title {
  text-align: center;
  font-size: 32px;
  font-weight: 600;
}

.section-title::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 5%;
  width: 90%;
  height: 1px;
  border-radius: 999px;

  background: linear-gradient(
    90deg,
    transparent 0%,
    var(--primary-red) 25%,
    var(--primary-blue) 50%,
    var(--primary-darkyellow) 75%,
    transparent 100%
  );
}

.services-section {
  padding: 80px 100px;
  position: relative;
}

.services-data {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.services-items {
  display: flex;
  justify-content: center;
  flex-flow: row wrap;
  gap: 40px 20px;
  margin-top: 60px;
  max-width: 1240px;
}

.services-item {
  position: relative;
  flex-basis: calc(100% / 3 - 14px);
  min-width: 395px;
  height: 435px;
  border-radius: 16px;
  background-color: var(--primary-white);
}

.services-content {
  padding: 20px 20px 15px;
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
  align-items: center;
}

.services-image {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 200px;
  border-radius: 0px 0px 16px 16px;
}

.services-heading {
  margin: 15px 0 10px;
  font-size: 20px;
  font-weight: 500;
  color: var(--delft-blue-hover);
}

.services-number {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 44px;
  height: 44px;
  padding: 10px;
  border-radius: 8px;
  background-color: var(--secondary-dark-lighter);
  color: var(--primary-white);
  font-size: 20px;
  font-weight: 800;
}

.services-text {
  font-size: 14px;
  font-weight: 300;
  line-height: 1.6;
  color: var(--subtitle);
}

.social-link {
  display: inline-block;
  width: 32px;
  height: 32px;
  background-size: 32px 32px;
  background-repeat: no-repeat;
  background-position: center;
  transition: opacity 0.2s;
}

.social-link.li {
  background-image: url("../../resources/images/icons/li.svg");
}

.social-link.fb {
  background-image: url("../../resources/images/icons/fb.svg");
}

.social-link.tg {
  background-image: url("../../resources/images/icons/tg.svg");
}

.social-link.ig {
  background-image: url("../../resources/images/icons/ig.webp");
}

.toggle-icon {
  display: none;
}

@media (min-width: 1440px) {
  .navbar nav {
    position: relative;
    right: 74px;
  }
}

@media (min-width: 992px) and (max-width: 1200px) {
  .navbar .links-list {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    overflow: hidden;
    width: 60px;
    height: 44px;
    transition: width 0.8s ease-in-out;
    z-index: 1000;
  }

  .navbar .links-list:hover {
    width: 200px;
    display: flex;
    gap: 16px;
    background:
      linear-gradient(
        90.31deg,
        rgba(255, 255, 255, 0.4) 0%,
        rgba(255, 255, 255, 0.2) 100%
      ),
      #ebf0f5;
  }

  .links-list .social-link {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    border-radius: 8px;
    flex-shrink: 0;
  }

  .links-list .social-link:nth-child(n + 2) {
    opacity: 0;
    transform: translateX(-10px);
    transition:
      opacity 0.3s ease,
      transform 0.3s ease;
  }

  .links-list:hover .social-link:nth-child(n + 2) {
    opacity: 1;
    transform: translateX(0);
  }

  .links-list::after {
    content: "";
    position: absolute;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);
    width: 0;
    height: 0;
    border-left: 4px solid var(--slate-gray);
    border-top: 3px solid transparent;
    border-bottom: 3px solid transparent;
    opacity: 0.6;
    transition: opacity 0.3s ease;
  }

  .links-list:hover::after {
    opacity: 0;
  }

  .navbar {
    position: relative;
    display: flex;
    justify-content: flex-start;
  }

  .header {
    padding: 0 40px;
  }
}
